Bloom (JavaFX 27)
Description: declaration: module: javafx.graphics, package: javafx.scene.effect, class: Bloom

# Class Bloom

java.lang.Object
javafx.scene.effect.Effect
javafx.scene.effect.Bloom

public class Bloom extends Effect
A high-level effect that makes brighter portions of the input image appear to glow, based on a configurable threshold.

Example:

    Bloom bloom = new Bloom();
    bloom.setThreshold(0.1);

    Rectangle rect = new Rectangle();
    rect.setX(10);
    rect.setY(10);
    rect.setWidth(160);
    rect.setHeight(80);
    rect.setFill(Color.DARKSLATEBLUE);

    Text text = new Text();
    text.setText("Bloom!");
    text.setFill(Color.ALICEBLUE);
    text.setFont(Font.font(null, FontWeight.BOLD, 40));
    text.setX(25);
    text.setY(65);
    text.setEffect(bloom);

The code above produces the following:

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final ObjectProperty<Effect>`
  `input`
  The input for this `Effect`.
  `final DoubleProperty`
  `threshold`
  The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Bloom()`
  Creates a new instance of Bloom with default parameters.
  `Bloom(double threshold)`
  Creates a new instance of Bloom with the specified threshold.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Effect`
  `getInput()`
  Gets the value of the `input` property.
  `final double`
  `getThreshold()`
  Gets the value of the `threshold` property.
  `final ObjectProperty<Effect>`
  `inputProperty()`
  The input for this `Effect`.
  `final void`
  `setInput(Effect value)`
  Sets the value of the `input` property.
  `final void`
  `setThreshold(double value)`
  Sets the value of the `threshold` property.
  `final DoubleProperty`
  `thresholdProperty()`
  The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### input

    public final ObjectProperty<Effect> inputProperty
    The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null
    See Also:
      - `getInput()`
      - `setInput(Effect)`
      - `inputProperty()`

  - ### threshold

    public final DoubleProperty thresholdProperty
    The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

              Min: 0.0
              Max: 1.0
          Default: 0.3
         Identity: n/a

    Default value:
      0.3
    See Also:
      - `getThreshold()`
      - `setThreshold(double)`
      - `thresholdProperty()`

- ## Constructor Details

  - ### Bloom

    public Bloom()
    Creates a new instance of Bloom with default parameters.

  - ### Bloom

    public Bloom(double threshold)
    Creates a new instance of Bloom with the specified threshold.
    Parameters:
      `threshold` - the threshold value for the bloom effect
    Since:
      JavaFX 2.1

- ## Method Details

  - ### setInput

    public final void setInput(Effect value)
    Sets the value of the `input` property.
    Property description:
      The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null
    Parameters:
      `value` - the value for the `input` property
    See Also:
      - `getInput()`
      - `inputProperty()`

  - ### getInput

    public final Effect getInput()
    Gets the value of the `input` property.
    Property description:
      The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null
    Returns:
      the value of the `input` property
    See Also:
      - `setInput(Effect)`
      - `inputProperty()`

  - ### inputProperty

    public final ObjectProperty<Effect> inputProperty()
    The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
    Default value:
      null
    Returns:
      the `input` property
    See Also:
      - `getInput()`
      - `setInput(Effect)`

  - ### setThreshold

    public final void setThreshold(double value)
    Sets the value of the `threshold` property.
    Property description:
      The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

                Min: 0.0
                Max: 1.0
            Default: 0.3
           Identity: n/a

    Default value:
      0.3
    Parameters:
      `value` - the value for the `threshold` property
    See Also:
      - `getThreshold()`
      - `thresholdProperty()`

  - ### getThreshold

    public final double getThreshold()
    Gets the value of the `threshold` property.
    Property description:
      The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

                Min: 0.0
                Max: 1.0
            Default: 0.3
           Identity: n/a

    Default value:
      0.3
    Returns:
      the value of the `threshold` property
    See Also:
      - `setThreshold(double)`
      - `thresholdProperty()`

  - ### thresholdProperty

    public final DoubleProperty thresholdProperty()
    The threshold value controls the minimum luminosity value of the pixels that will be made to glow.

              Min: 0.0
              Max: 1.0
          Default: 0.3
         Identity: n/a

    Default value:
      0.3
    Returns:
      the `threshold` property
    See Also:
      - `getThreshold()`
      - `setThreshold(double)`